Nimbu Developer Docs
ReferenceDevices

Update a device

PUT
/devices/{device_id}

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

device_id*string

Device identifier

Header Parameters

X-Nimbu-Site*string

Site identifier

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/devices/string" \  -H "X-Nimbu-Site: string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "token": "string",
  "type": "string",
  "installation_id": "string",
  "app_version": "string",
  "app_name": "string",
  "app_id": "string",
  "sdk_version": "string",
  "time_zone": "string",
  "badge": 0,
  "channel_uris": [
    "string"
  ],
  "channels": [
    "string"
  ],
  "tags": [
    "string"
  ],
  "customer": "string"
}